Package org.h2.jdbc

# Class JdbcSavepoint

java.lang.Object
org.h2.message.TraceObject
org.h2.jdbc.JdbcSavepoint

All Implemented Interfaces:
  `Savepoint`

public final class JdbcSavepoint extends TraceObject implements Savepoint
A savepoint is a point inside a transaction to where a transaction can be rolled back. The tasks that where done before the savepoint are not rolled back in this case.

## Field Summary

### Fields inherited from class org.h2.message.TraceObject

`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQLXML, STATEMENT, trace, XA_DATA_SOURCE, XID`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSavepointId()`
Get the generated id of this savepoint.
`String`
`getSavepointName()`
Get the name of this savepoint.
`String`
`toString()`
INTERNAL

### Methods inherited from class org.h2.message.TraceObject

`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, unsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSavepointId

public int getSavepointId() throws SQLException
Get the generated id of this savepoint.

Specified by:
  `getSavepointId` in interface `Savepoint`
Returns:
  the id
Throws:
  `SQLException`

### getSavepointName

public String getSavepointName() throws SQLException
Get the name of this savepoint.

Specified by:
  `getSavepointName` in interface `Savepoint`
Returns:
  the name
Throws:
  `SQLException`

### toString

public String toString()
INTERNAL

Overrides:
  `toString` in class `Object`